/* breakpoints */
.sitecore-form {
  padding: 15px 15px 15px 15px;
}

.sitecore-form > .component-content {
  padding: 15px 15px 15px 15px;
}

.sitecore-form .row {
  width: 100%;
}

.sitecore-form form {
  font-family: "Segoe UI", Arial, Helvetica, sans-serif;
  font-size: 16px;
  color: #5e5e5e;
  width: 100%;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
}

.sitecore-form form label {
  padding-right: 10px;
}

.sitecore-form form > div {
  padding-bottom: 10px;
}

.sitecore-form form > div label {
  font-family: inherit;
  padding-right: 15px;
}

.sitecore-form form > div input,
.sitecore-form form > div textarea,
.sitecore-form form > div select {
  font-family: inherit;
}

.sitecore-form form button,
.sitecore-form form input[type="submit"] {
  color: #fff;
  display: inline-block;
  background-color: #00A6E3;
  font-weight: 400;
  border-radius: 4px;
  padding: 10px 20px;
  text-transform: none;
  -webkit-transition: background-color ease-in-out 300ms;
  transition: background-color ease-in-out 300ms;
  width: 100%;
  max-width: 300px;
  text-align: center;
  width: unset;
  border-color: #00A6E3;
}

@media only screen and (min-width: 768px) {
  .sitecore-form form button,
  .sitecore-form form input[type="submit"] {
    max-width: unset;
    width: unset;
  }
}

@media only screen and (min-width: 1200px) {
  .sitecore-form form button,
  .sitecore-form form input[type="submit"] {
    padding: 10px 30px;
  }
}

.sitecore-form form button:hover,
.sitecore-form form input[type="submit"]:hover {
  background-color: #4DC0EC;
  text-decoration: none;
}

.sitecore-form form [data-sc-field-name="Password Confirmation"] {
  margin-right: 15px;
}

.sitecore-form select[size="1"] {
  color: #000000;
}

.sitecore-form label {
  color: #000000;
  display: block;
}

.sitecore-form input,
.sitecore-form select,
.sitecore-form textarea {
  background-color: #fff;
  border-color: #7B7B7B;
  border-radius: 5px;
  margin-bottom: 0;
  line-height: 20px;
}

@media only screen and (min-width: 768px) {
  .sitecore-form input,
  .sitecore-form select,
  .sitecore-form textarea {
    margin-right: 15px;
  }
}

.sitecore-form input.input-validation-error,
.sitecore-form select.input-validation-error,
.sitecore-form textarea.input-validation-error {
  border-color: #ed1555;
}

.sitecore-form input:focus,
.sitecore-form select:focus,
.sitecore-form textarea:focus {
  border-color: #00A6E3;
}

@media only screen and (min-width: 768px) {
  .sitecore-form input[type="submit"],
  .sitecore-form select[type="submit"],
  .sitecore-form textarea[type="submit"] {
    margin-right: 0;
  }
}

.sitecore-form .field-validation-error,
.sitecore-form .field-validation-valid {
  margin-bottom: 15px;
}

.sitecore-form .field-validation-error {
  margin-top: 5px;
}

.sitecore-form .field-validation-error span {
  width: unset;
  font-size: 14px;
  color: #ca231d;
  padding: 5px 0;
  display: inline-block;
}

.sitecore-form input[type="text"],
.sitecore-form input[type="email"],
.sitecore-form input[type="tel"],
.sitecore-form input[type="date"],
.sitecore-form input[type="file"],
.sitecore-form input[type="number"],
.sitecore-form input[type="password"],
.sitecore-form select {
  width: 100%;
}

.sitecore-form span {
  display: block;
  width: 100%;
}

.sitecore-form input[type="checkbox"], .sitecore-form input[type="radio"] {
  margin-right: 5px;
  margin-bottom: 0;
}

.sitecore-form .form.hints-below .scfSectionContent [class$="UsefulInfo"] {
  position: static;
  opacity: 1;
  max-width: 100%;
  width: 100%;
  margin: 5px 0 0 5px;
}

.sitecore-form .form.labels-above label {
  box-sizing: border-box;
  display: block;
  width: 100%;
  margin: 0;
}

.sitecore-form .form.labels-above .scfEmailGeneralPanel, .sitecore-form .form.labels-above .scfMultipleLineGeneralPanel, .sitecore-form .form.labels-above .scfSingleLineGeneralPanel, .sitecore-form .form.labels-above .scfPasswordGeneralPanel, .sitecore-form .form.labels-above .scfNumberGeneralPanel, .sitecore-form .form.labels-above .scfDatePickerGeneralPanel, .sitecore-form .form.labels-above .scfListBoxGeneralPanel, .sitecore-form .form.labels-above .scfDropListGeneralPanel, .sitecore-form .form.labels-above .scfDateGeneralPanel, .sitecore-form .form.labels-above .scfRadioButtonListGeneralPanel, .sitecore-form .form.labels-above .scfCheckBoxListGeneralPanel, .sitecore-form .form.labels-above .scfFileUploadGeneralPanel, .sitecore-form .form.labels-above .scfDateSelectorGeneralPanel, .sitecore-form .form.labels-above .scfCreditCardGeneralPanel, .sitecore-form .form.labels-above .scfConfirmPasswordGeneralPanel, .sitecore-form .form.labels-above .scfCaptchaGeneralPanel, .sitecore-form .form.labels-above .scfTelephoneGeneralPanel, .sitecore-form .form.labels-above .scfSmsTelephoneGeneralPanel {
  box-sizing: border-box;
  display: inline-block;
  vertical-align: middle;
  width: 93%;
}

.sitecore-form .form.labels-above .scfSectionContent .scfRequired {
  margin: 0 5px;
}

.sitecore-form .form.labels-above .scfMultipleLineGeneralPanel {
  width: 95%;
}

.sitecore-form .form.labels-above .scfMultipleLineTextBox {
  margin: 0 0 0 5px;
}

.purple-fade .sitecore-form,
.purple-fade.sitecore-form {
  color: #fff;
}

.purple-fade .sitecore-form h1,
.purple-fade .sitecore-form h2,
.purple-fade .sitecore-form h3,
.purple-fade .sitecore-form h4,
.purple-fade .sitecore-form h5,
.purple-fade .sitecore-form h6,
.purple-fade .sitecore-form p,
.purple-fade .sitecore-form label,
.purple-fade.sitecore-form h1,
.purple-fade.sitecore-form h2,
.purple-fade.sitecore-form h3,
.purple-fade.sitecore-form h4,
.purple-fade.sitecore-form h5,
.purple-fade.sitecore-form h6,
.purple-fade.sitecore-form p,
.purple-fade.sitecore-form label {
  color: #fff;
}

.purple-fade .sitecore-form input,
.purple-fade .sitecore-form textarea,
.purple-fade.sitecore-form input,
.purple-fade.sitecore-form textarea {
  border: 1px solid #fff;
  background-color: rgba(255, 255, 255, 0.33);
  color: #fff;
}

.purple-fade .sitecore-form input::-webkit-input-placeholder,
.purple-fade .sitecore-form textarea::-webkit-input-placeholder,
.purple-fade.sitecore-form input::-webkit-input-placeholder,
.purple-fade.sitecore-form textarea::-webkit-input-placeholder {
  color: #fff;
}

.purple-fade .sitecore-form input:-ms-input-placeholder,
.purple-fade .sitecore-form textarea:-ms-input-placeholder,
.purple-fade.sitecore-form input:-ms-input-placeholder,
.purple-fade.sitecore-form textarea:-ms-input-placeholder {
  color: #fff;
}

.purple-fade .sitecore-form input::placeholder,
.purple-fade .sitecore-form textarea::placeholder,
.purple-fade.sitecore-form input::placeholder,
.purple-fade.sitecore-form textarea::placeholder {
  color: #fff;
}

.purple-fade .sitecore-form input.input-validation-error,
.purple-fade .sitecore-form textarea.input-validation-error,
.purple-fade.sitecore-form input.input-validation-error,
.purple-fade.sitecore-form textarea.input-validation-error {
  border-color: #ed1555;
  background-color: rgba(237, 21, 85, 0.25);
}

.purple-fade .sitecore-form input:focus,
.purple-fade .sitecore-form textarea:focus,
.purple-fade.sitecore-form input:focus,
.purple-fade.sitecore-form textarea:focus {
  border-color: #00A6E3;
  background-color: #fff;
  color: #000;
}

.purple-fade .sitecore-form [type="submit"],
.purple-fade.sitecore-form [type="submit"] {
  border: 1px solid white;
}

.purple-fade .sitecore-form input[type="date"]::-webkit-calendar-picker-indicator,
.purple-fade.sitecore-form input[type="date"]::-webkit-calendar-picker-indicator {
  -webkit-filter: invert(1);
  filter: invert(1);
}

.purple-fade .sitecore-form input[type="date"]:focus::-webkit-calendar-picker-indicator,
.purple-fade.sitecore-form input[type="date"]:focus::-webkit-calendar-picker-indicator {
  -webkit-filter: unset;
  filter: unset;
}

.purple-fade .sitecore-form select,
.purple-fade.sitecore-form select {
  border-left-width: 0;
  border-right-width: 0;
  border-radius: 0;
  border-top-width: 0;
  border-bottom: 1px solid #fff;
  background-color: transparent;
  color: #fff;
}

.purple-fade .sitecore-form select:focus,
.purple-fade.sitecore-form select:focus {
  border-color: #00A6E3;
}

.purple-fade .sitecore-form select option,
.purple-fade.sitecore-form select option {
  color: #000;
}

.purple-fade .sitecore-form select.input-validation-error,
.purple-fade.sitecore-form select.input-validation-error {
  border-color: #ed1555;
  background-color: rgba(237, 21, 85, 0.25);
}

.purple-fade .sitecore-form select.input-validation-error:focus,
.purple-fade.sitecore-form select.input-validation-error:focus {
  background-color: white;
  color: #000;
}

.purple-fade .sitecore-form select.input-validation-error:focus option,
.purple-fade.sitecore-form select.input-validation-error:focus option {
  color: #000;
}

.purple-fade .sitecore-form .field-validation-error,
.purple-fade.sitecore-form .field-validation-error {
  margin-top: 5px;
}

.purple-fade .sitecore-form .field-validation-error span,
.purple-fade.sitecore-form .field-validation-error span {
  background-color: #ca231d;
  border-radius: 5px;
  color: #fff;
  padding: 5px 8px;
}

.hidden-field {
  display: none;
}
